### Hierarchy

- DialogException

## Index

### Constructors

- constructor

### Properties

- cause
- iconName
- message
- name
- stackTrace
- title
- userMessages

## Constructors

### constructor

- new DialogException(iconName?: string, message?: string, name?: string, stackTrace?: string, title?: string, cause?: DialogException, userMessages?: UserMessage[]): DialogException

- - Defined in models/DialogException.ts:3

  #### Parameters

  - ##### Optional iconName: string

  - ##### Optional message: string

  - ##### Optional name: string

  - ##### Optional stackTrace: string

  - ##### Optional title: string

  - ##### Optional cause: DialogException

  - ##### Optional userMessages: UserMessage[]

  #### Returns DialogException

## Properties

### Optional cause

cause: DialogException

- Defined in models/DialogException.ts:10

### Optional iconName

iconName: string

- Defined in models/DialogException.ts:5

### Optional message

message: string

- Defined in models/DialogException.ts:6

### Optional name

name: string

- Defined in models/DialogException.ts:7

### Optional stackTrace

stackTrace: string

- Defined in models/DialogException.ts:8

### Optional title

title: string

- Defined in models/DialogException.ts:9

### Optional userMessages

userMessages: UserMessage[]

- Defined in models/DialogException.ts:11

Generated using TypeDoc